package com.muyu.data.mart.domain.realname.ali;

import com.alibaba.fastjson2.annotation.JSONField;
import com.muyu.data.mart.domain.realname.RealNameReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.background.domin.realname.ali
 * @Project：cloud-background
 * @name：RealNameAliReq
 * @Date：2024/9/5 20:31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RealNameAliReq {

    private String name;

    @JSONField(name = "idcard")
    private String idCard;


    public static RealNameAliReq realNameAliReqBuild(RealNameReq realNameReq){
       return RealNameAliReq.builder()
               .name(realNameReq.getName())
               .idCard(realNameReq.getIdCard())
               .build();
    }
}
